"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactNative = require("react-native");

var _themes = require("../../style/themes");

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// wait for https://github.com/DefinitelyTyped/DefinitelyTyped/pull/18278
// them below any and change to IAccordionStyle
exports["default"] = {
    container: {
        borderTopWidth: _reactNative.StyleSheet.hairlineWidth,
        borderTopColor: _themes2["default"].border_color_base
    },
    header: {
        flexDirection: "row",
        alignItems: "center",
        paddingLeft: _themes2["default"].h_spacing_lg,
        paddingRight: 2 * _themes2["default"].h_spacing_lg,
        borderBottomWidth: _reactNative.StyleSheet.hairlineWidth,
        borderBottomColor: _themes2["default"].border_color_base
    },
    arrow: {
        width: 12,
        height: 12
    },
    headerWrap: {
        flex: 1,
        height: _themes2["default"].list_item_height,
        alignItems: "center",
        flexDirection: "row"
    },
    headerText: {
        color: _themes2["default"].color_text_base,
        fontSize: _themes2["default"].font_size_heading
    },
    content: {
        paddingVertical: _themes2["default"].v_spacing_md,
        paddingHorizontal: _themes2["default"].h_spacing_md,
        borderBottomWidth: _reactNative.StyleSheet.hairlineWidth,
        borderBottomColor: _themes2["default"].border_color_base
    },
    contentText: {
        fontSize: _themes2["default"].font_size_subhead,
        color: _themes2["default"].color_text_paragraph
    }
};