'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactNative = require('react-native');

var _themes = require('../../style/css/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = _reactNative.StyleSheet.create({
    container: {
        zIndex: _themes2['default'].action_sheet_zindex
    },
    wrap: {
        position: 'absolute',
        left: 0,
        right: 0,
        top: 0
    },
    content: {
        position: 'absolute',
        left: 0,
        right: 0,
        bottom: 0,
        backgroundColor: _themes2['default'].fill_base
    },
    mask: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        backgroundColor: _themes2['default'].fill_mask
    },
    title: {
        flex: 1,
        alignItems: 'center',
        // justifyContent: 'center',
        marginTop: _themes2['default'].h_spacing_lg,
        marginBottom: _themes2['default'].h_spacing_lg
    },
    titleText: {
        fontWeight: '500'
    },
    message: {
        flex: 1,
        alignItems: 'center',
        // justifyContent: 'center',
        marginBottom: _themes2['default'].h_spacing_lg
    },
    btn: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        height: _themes2['default'].actionsheet_item_height,
        borderStyle: 'solid',
        borderTopWidth: 1,
        borderTopColor: _themes2['default'].border_color_base,
        backgroundColor: 'white'
    },
    cancelBtn: {
        marginTop: _themes2['default'].v_spacing_md,
        position: 'relative'
    },
    cancelBtnMask: {
        position: 'absolute',
        top: -_themes2['default'].v_spacing_md,
        left: 0,
        right: 0,
        height: _themes2['default'].v_spacing_md,
        backgroundColor: _themes2['default'].fill_grey,
        borderStyle: 'solid',
        borderTopWidth: 1,
        borderTopColor: _themes2['default'].border_color_base
    },
    destructiveBtn: {
        color: _themes2['default'].brand_error,
        fontSize: _themes2['default'].actionsheet_item_font_size
    }
});