'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactNative = require('react-native');

var _themes = require('../../style/css/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    container: {
        height: _themes2['default'].list_item_height + _themes2['default'].border_width_sm,
        borderBottomWidth: _reactNative.StyleSheet.hairlineWidth,
        borderBottomColor: _themes2['default'].border_color_base,
        marginLeft: _themes2['default'].h_spacing_lg,
        paddingRight: _themes2['default'].h_spacing_lg,
        marginTop: 0,
        marginBottom: 0,
        flexDirection: 'row',
        alignItems: 'center'
    },
    text: {
        marginRight: _themes2['default'].h_spacing_sm,
        textAlignVertical: 'center',
        fontSize: _themes2['default'].font_size_heading,
        color: _themes2['default'].color_text_base
    },
    input: {
        flex: 1,
        height: _themes2['default'].list_item_height,
        backgroundColor: 'transparent',
        fontSize: _themes2['default'].input_font_size,
        color: _themes2['default'].color_text_base
    },
    extra: {
        marginLeft: _themes2['default'].h_spacing_sm,
        fontSize: _themes2['default'].font_size_subhead,
        color: _themes2['default'].color_text_caption
    },
    errorIcon: {
        marginLeft: _themes2['default'].h_spacing_sm,
        width: _themes2['default'].icon_size_sm,
        height: _themes2['default'].icon_size_sm
    }
};