'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactNative = require('react-native');

var _themes = require('../../style/css/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    underlayColor: {
        backgroundColor: _themes2['default'].fill_tap
    },
    Header: {
        fontSize: _themes2['default'].font_size_base,
        color: _themes2['default'].color_text_caption,
        paddingHorizontal: _themes2['default'].h_spacing_lg,
        paddingTop: _themes2['default'].v_spacing_lg,
        paddingBottom: _themes2['default'].v_spacing_md,
        backgroundColor: _themes2['default'].fill_body
    },
    Footer: {
        fontSize: _themes2['default'].font_size_base,
        color: _themes2['default'].color_text_caption,
        paddingHorizontal: _themes2['default'].h_spacing_lg,
        paddingVertical: _themes2['default'].v_spacing_md,
        backgroundColor: _themes2['default'].fill_body
    },
    Body: {
        backgroundColor: _themes2['default'].fill_base,
        borderTopWidth: _reactNative.StyleSheet.hairlineWidth,
        borderTopColor: _themes2['default'].border_color_base
    },
    BodyBottomLine: {
        position: 'absolute',
        bottom: 0,
        left: 0,
        right: 0,
        height: 1,
        backgroundColor: _themes2['default'].fill_base,
        borderBottomWidth: _reactNative.StyleSheet.hairlineWidth,
        borderBottomColor: _themes2['default'].border_color_base
    },
    Item: {
        flexGrow: 1,
        alignItems: 'center',
        flexDirection: 'row',
        paddingLeft: _themes2['default'].h_spacing_lg,
        backgroundColor: _themes2['default'].fill_base
    },
    Line: {
        flex: 1,
        flexDirection: 'row',
        alignItems: 'center',
        paddingRight: _themes2['default'].h_spacing_lg,
        paddingVertical: _themes2['default'].v_spacing_sm,
        minHeight: _themes2['default'].list_item_height,
        borderBottomWidth: _reactNative.StyleSheet.hairlineWidth,
        borderBottomColor: _themes2['default'].border_color_base
    },
    Thumb: {
        width: _themes2['default'].icon_size_md,
        height: _themes2['default'].icon_size_md,
        marginRight: _themes2['default'].h_spacing_lg
    },
    Content: {
        color: _themes2['default'].color_text_base,
        fontSize: _themes2['default'].font_size_heading,
        textAlignVertical: 'center'
    },
    Extra: {
        color: _themes2['default'].color_text_caption,
        fontSize: _themes2['default'].font_size_heading,
        textAlign: 'right',
        textAlignVertical: 'center'
    },
    Brief: {
        minHeight: _themes2['default'].font_size_icontext
    },
    BriefText: {
        color: _themes2['default'].color_text_caption,
        fontSize: _themes2['default'].font_size_subhead,
        paddingTop: _themes2['default'].v_spacing_xs,
        textAlignVertical: 'center'
    },
    Arrow: {
        width: 8,
        height: 13,
        marginLeft: _themes2['default'].h_spacing_md,
        marginTop: _themes2['default'].v_spacing_xs
    },
    ArrowV: {
        width: 13,
        height: 8,
        marginLeft: _themes2['default'].h_spacing_md
    },
    multipleLine: {
        paddingVertical: _themes2['default'].v_spacing_sm
    },
    multipleThumb: {
        width: _themes2['default'].icon_size_lg,
        height: _themes2['default'].icon_size_lg
    },
    column: {
        flex: 1,
        flexDirection: 'column'
    }
};