'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/css/themes');

var _themes2 = _interopRequireDefault(_themes);

var _utils = require('../../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NAVIGATOR_HEIGHT_ANDROID = 44;
var NAVIGATOR_HEIGHT_IOS = 44;
var STATUS_BAR_HEIGHT = 20;
var NAVIGATOR_HEIGHT = _utils.MediaDevice.isIOS ? NAVIGATOR_HEIGHT_IOS : NAVIGATOR_HEIGHT_ANDROID;
var BUTTON_HEIGHT = NAVIGATOR_HEIGHT / 2;
exports['default'] = {
    wrapper: {
        backgroundColor: _themes2['default'].fill_base
    },
    navBar: {
        height: NAVIGATOR_HEIGHT,
        justifyContent: 'space-between',
        alignItems: 'center',
        borderBottomWidth: _utils.MediaDevice.onePx,
        borderBottomColor: _themes2['default'].border_color_base,
        flexDirection: 'row'
    },
    statusBar: {
        height: _utils.MediaDevice.isIOS ? STATUS_BAR_HEIGHT : 0
    },
    left: {
        flex: 0,
        paddingHorizontal: 8,
        height: NAVIGATOR_HEIGHT,
        // backgroundColor: 'red',//test
        justifyContent: 'center',
        alignItems: 'flex-end',
        zIndex: 1
    },
    right: {
        paddingHorizontal: 8,
        height: NAVIGATOR_HEIGHT,
        // backgroundColor: 'red',//test
        justifyContent: 'center',
        alignItems: 'flex-start',
        zIndex: 1
    },
    title: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 80,
        right: 80,
        alignItems: 'center',
        justifyContent: 'center',
        zIndex: 0
    },
    text: {},
    image: {
        height: BUTTON_HEIGHT,
        width: BUTTON_HEIGHT
    }
};