'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    tag: {
        borderRadius: _themes2['default'].radius_sm,
        backgroundColor: 'transparent',
        flexDirection: 'row',
        overflow: 'visible'
    },
    wrap: {
        overflow: 'hidden',
        borderRadius: _themes2['default'].radius_sm,
        borderWidth: _themes2['default'].border_width_sm,
        borderStyle: 'solid',
        paddingVertical: _themes2['default'].v_spacing_sm,
        paddingHorizontal: _themes2['default'].h_spacing_lg
    },
    wrapSmall: {
        paddingVertical: 1.5,
        paddingHorizontal: _themes2['default'].h_spacing_sm
    },
    text: {
        fontSize: _themes2['default'].button_font_size_sm,
        textAlign: 'center'
    },
    textSmall: {
        fontSize: _themes2['default'].font_size_icontext
    },
    normalWrap: {
        backgroundColor: _themes2['default'].fill_base,
        borderColor: _themes2['default'].border_color_base
    },
    normalText: {
        color: _themes2['default'].color_text_caption
    },
    activeWrap: {
        backgroundColor: _themes2['default'].fill_base,
        borderColor: _themes2['default'].brand_primary
    },
    activeText: {
        color: _themes2['default'].color_link
    },
    disabledWrap: {
        backgroundColor: _themes2['default'].fill_disabled,
        borderWidth: 0
    },
    disabledText: {
        color: _themes2['default'].color_text_disabled
    },
    close: {
        position: 'absolute',
        backgroundColor: _themes2['default'].color_text_placeholder
    },
    closeIOS: {
        borderRadius: 8,
        width: 16,
        height: 16,
        left: -5,
        top: -4,
        overflow: 'hidden'
    },
    closeAndroid: {
        width: 16,
        height: 32,
        left: -2,
        top: -10,
        transform: [{
            rotate: '45deg'
        }]
    },
    closeText: {
        color: _themes2['default'].color_text_base_inverse,
        textAlign: 'center',
        fontSize: 20,
        lineHeight: 18
    },
    closeTransform: {
        transform: [{
            rotate: '-45deg'
        }]
    }
};