'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactNative = require('react-native');

var _themes = require('../../style/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    container: {
        position: 'absolute',
        top: _reactNative.Platform.OS === 'ios' ? 64 : 54,
        left: 0,
        bottom: 0,
        right: 0,
        backgroundColor: 'transparent',
        // backgroundColor: 'rgba(0,0,0,0.1)',
        justifyContent: 'center',
        alignItems: 'center',
        zIndex: _themes2['default'].toast_zindex
    },
    innerContainer: {
        backgroundColor: 'transparent'
    },
    innerWrap: {
        alignItems: 'center',
        backgroundColor: _themes2['default'].toast_fill,
        minWidth: 100
    },
    iconToast: {
        borderRadius: _themes2['default'].radius_lg,
        padding: _themes2['default'].v_spacing_lg
    },
    textToast: {
        borderRadius: _themes2['default'].radius_sm,
        paddingVertical: _themes2['default'].v_spacing_md,
        paddingHorizontal: _themes2['default'].v_spacing_lg
    },
    content: {
        color: _themes2['default'].color_text_base_inverse,
        fontSize: _themes2['default'].font_size_subhead
    },
    image: {
        width: _themes2['default'].icon_size_lg,
        height: _themes2['default'].icon_size_lg,
        marginBottom: _themes2['default'].v_spacing_xs
    },
    centering: {
        alignItems: 'center',
        justifyContent: 'center',
        padding: _themes2['default'].v_spacing_md
    }
};